Bug 574882 - kernel 2.6.32.9-70.fc12.i686.PAE #1 SMP IRQ Interrupt Request kernel panic
Summary: kernel 2.6.32.9-70.fc12.i686.PAE #1 SMP IRQ Interrupt Request kernel panic
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: i686
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-18 18:44 UTC by Greg Szyprowski
Modified: 2010-11-04 14:22 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-11-04 14:22:58 UTC


Attachments (Terms of Use)
lspci -v (6.21 KB, text/plain)
2010-03-21 10:16 UTC, Greg Szyprowski
no flags Details
cpuinfo (1.31 KB, text/plain)
2010-03-21 10:17 UTC, Greg Szyprowski
no flags Details

Description Greg Szyprowski 2010-03-18 18:44:49 UTC
IRQ Interrupt request cause kernel panic.
I checked the kernel parameter "irqpool" but the same error occurs.
The trace attached below.

irq 16: nobody cared (try booting with the "irqpoll" option)
Pid: 0, comm: swapper Not tainted 2.6.32.9-70.fc12.i686.PAE #1
Call Trace:
 [<c048c0c4>] __report_bad_irq+0x33/0x74
 [<c048c1ff>] note_interrupt+0xfa/0x153
 [<c048c7d4>] handle_fasteoi_irq+0x83/0xa2
 [<c040b1e3>] handle_irq+0x40/0x4d
 [<c040a9a9>] do_IRQ+0x46/0x9a
 [<c0409750>] common_interrupt+0x30/0x38
 [<c040f261>] ? mwait_idle+0x61/0x6c
 [<c04081f2>] cpu_idle+0x96/0xb0
 [<c079271c>] rest_init+0x58/0x5a
 [<c09f88f2>] start_kernel+0x330/0x335
 [<c09f80af>] i386_start_kernel+0x9e/0xa5
handlers:
[<c06a6e3f>] (usb_hcd_irq+0x0/0x6f)
[<c06a6e3f>] (usb_hcd_irq+0x0/0x6f)
[<f7fb85c0>] (radeon_driver_irq_handler_kms+0x0/0x19 [radeon])
Disabling IRQ #16
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110
irq 17: nobody cared (try booting with the "irqpoll" option)
Pid: 0, comm: swapper Not tainted 2.6.32.9-70.fc12.i686.PAE #1
Call Trace:
 [<c048c0c4>] __report_bad_irq+0x33/0x74
 [<c048c1ff>] note_interrupt+0xfa/0x153
 [<c048c7d4>] handle_fasteoi_irq+0x83/0xa2
 [<c040b1e3>] handle_irq+0x40/0x4d
 [<c040a9a9>] do_IRQ+0x46/0x9a
 [<c0409750>] common_interrupt+0x30/0x38
 [<c040f261>] ? mwait_idle+0x61/0x6c
 [<c04081f2>] cpu_idle+0x96/0xb0
 [<c07a0671>] start_secondary+0x1f5/0x233
handlers:
[<f7f81165>] (snd_intel8x0_interrupt+0x0/0x1d9 [snd_intel8x0])
Disabling IRQ #17
usb 2-2: usbfs: USBDEVFS_CONTROL failed cmd devkit-power-da rqt 192 rq 9 len 8 ret -110

My configuration:
lspci:
00:00.0 Host bridge: Intel Corporation 82875P/E7210 Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82875P Processor to AGP Controller (rev 02)
00:03.0 PCI bridge: Intel Corporation 82875P/E7210 Processor to PCI to CSA Bridge (rev 02)
00:06.0 System peripheral: Intel Corporation 82875P/E7210 Processor to I/O Memory Interface (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc RV670PRO [Radeon HD 3850]
02:01.0 Ethernet controller: Intel Corporation 82547EI Gigabit Ethernet Controller
03:03.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller (rev 80)

uname -a:
Linux szyper 2.6.32.9-70.fc12.i686.PAE #1 SMP Wed Mar 3 04:57:21 UTC 2010 i686 i686 i386 GNU/Linux

Comment 1 Greg Szyprowski 2010-03-21 10:16:42 UTC
Created attachment 401537 [details]
lspci -v

Comment 2 Greg Szyprowski 2010-03-21 10:17:35 UTC
Created attachment 401538 [details]
cpuinfo

Comment 3 Bug Zapper 2010-11-03 19:15:43 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Greg Szyprowski 2010-11-04 14:22:58 UTC
This error does not occur in the kernel-2.6.32.23-170.fc12.
This bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.